import { ButtonHTMLAttributes } from 'react';
import { IRippleProps } from '../ripple/ripple.types';

export interface ButtonMainProps
    extends ButtonHTMLAttributes<HTMLButtonElement> {
    disabled?: boolean;
    variant?: 'filled' | 'outlined' | 'elevated' | 'tonal' | 'text';
}

export interface ButtonProps extends IRippleProps, ButtonMainProps {}
