import React from 'react';
import { IRippleProps } from '../ripple/ripple.types';

export interface FABMainProps
    extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    icon: string;
    disabled?: boolean;
    size?: 'small' | 'default' | 'large' | 'extended';
    variant?: 'surface' | 'primary' | 'secondary' | 'tertiary';
}

export interface FABProps extends FABMainProps, IRippleProps {}
