import { Dispatch, SetStateAction } from 'react';

export interface IRippleProps extends PropsWithChildren<any> {
    centralRipple?: boolean;
}

export interface RippleAreaProps extends PropsWithChildren<any> {
    callback: Dispatch<SetStateAction<boolean>>;
    central?: boolean;
}

export type rippleProps = {
    rippleX: number;
    rippleY: number;
    rippleS: number;
    endLifetime?: () => void;
    lifetime: number;
    key?: number;
};

import { PropsWithChildren } from 'react';
